- Qt 5.15
- Qt Widgets
- C++ Classes
- QTableWidgetItem
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QTableWidgetItem

The following members of class QTableWidgetItem are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QColor | backgroundColor() const
`(obsolete)` void | setBackgroundColor(const QColor &color)
`(obsolete)` void | setTextColor(const QColor &color)
`(obsolete)` QColor | textColor() const

## Member Function Documentation

### QColor QTableWidgetItem::backgroundColor() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated. Use background() instead.

See also setBackgroundColor().

### void QTableWidgetItem::setBackgroundColor(const QColor &color)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated. Use setBackground() instead.

See also backgroundColor().

### void QTableWidgetItem::setTextColor(const QColor &color)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated. Use setForeground() instead.

See also textColor().

### QColor QTableWidgetItem::textColor() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated. Use foreground() instead.

See also setTextColor().